cramer <- function(x, y) {
res <- chisq.test(x, y, correct = FALSE)
chi2 <- as.numeric(res$statistic)
n <- length(x)
p <- length(levels(x))
q <- length(levels(y))
m <- min(p - 1, q - 1)
V <- sqrt(chi2/(n * m))
return(V)
}